# GooglePoiCrawlerV1

## Config
Tabel 與 DB連線 資訊存放於 `utility/connect.py` 內

## 執行
```
python shop_item_crawler.py [keyword] [port] [proxyport]
```
*後面可都不帶參數，程式會自動去 `TABLE_AREACODES` 抓取 expand = 0 的資料出來做查詢

TABLE_AREACODES 內欄位資料:

|num | kw | expand |
| -------- | -------- | -------- |
| 0     | 寢具     | 0     |
| 1     | 寢具     | 0     |


*如果後面有帶keyword，程式將會執行 `check_area_code` function，將 num 和 kw 的組合寫入 `TABLE_AREACODES`，之後程式還是從此 table 內抓取 expand = 0 的資料出來做查詢


## 執行次數
```python
for i in range(368):
```
此368代表會從 TABLE_AREACODES 內抓 取368次 expand = 0 的欄位資料


## 擾動
每個經緯度將會透過以下程式進行擾動，總共擾動`5`次 ( in Line 373)
```python
latitude_ = float(latitude) + (random.randint(-999,999) / 10000)
longitude_ = float(longitude) + (random.randint(-999,999) / 10000)
```